| Home | Libraries | People | FAQ | More

#### format_sequence_view

(EXPERIMENTAL) The return type of `sequence`.

##### Synopsis

Defined in header `<boost/mysql/format_sql.hpp>`

    template<
        class It,
        class Sentinel,
        class FormatFn>
    struct format_sequence_view

##### Description

Contains a range view (as an interator/sentinel pair), a formatter function, and a glue string. This type satisfies the `Formattable` concept. See `sequence` for a detailed description of what formatting this class does.

Don't instantiate this class directly - use `sequence`, instead. The exact definition may vary between releases.